--metagamescreen = nil
function OnSceneLoad(screen)
	metagamescreen = screen    
    LoadData(screen)
   	local index, levelNum = GetCurLevelId(play_field:GetName())
   	if not levelNum then
   	    index, levelNum =  GetCurLevelId(GetProfileManager():GetCurrentProfile().last_level_completed_)
   	end
   	local currentProfile = GetProfileManager():GetCurrentProfile()
	for i = 1, 36 do
		local bg = screen:GetObject('bg' .. tostring(i))
		bg:SetOpacity(0)
		bg:Set4V(Vector(461, 90), Vector(776, 90), Vector(776, 349), Vector(461, 349))
		local cigar = screen:GetObject(tostring(i))
		if i <= levelNum then
		    if not currentProfile.cigars_found[i] then			    			
			    cigar:GetAnimation():SetColor("0x880044FF")
			end			
			
			if currentProfile.meta_object_just_found and currentProfile.meta_object_just_found == i then
			    cigar:GetAnimation():SetColor("0xFFFFFFFF")
			    local af = CreateAnimationEffector()
			    af:SetMode(_ANIM_NOLOOP)
                af:SetKey(_TRACK_O, 0, 0)
                af:SetKey(_TRACK_O, 1 / 5, 1)
                af:SetKey(_TRACK_O, 2 / 10, 0)
                af:SetKey(_TRACK_O, 2 / 5, 1)
                af:SetKey(_TRACK_O, 5 / 10, 0)
                af:SetKey(_TRACK_O, 3 / 5, 1)
                af:SetKey(_TRACK_O, 7 / 10, 0)
                af:SetKey(_TRACK_O, 4 / 5, 1)
                af:SetKey(_TRACK_O, 9 / 10, 0)
                af:SetKey(_TRACK_O, 1, 1)                
                af:AttachTo(cigar)
                af:Play()
                currentProfile.meta_object_just_found = nil
			end
		else
			cigar:SetOpacity(0)
		end
	end
	
	screen:SetLayer(2)
	screen:SetY(28)
	play_field:GetLevelScreen():GetPanel():SetAllowInput(false);
	play_field:GetLevelScreen():GetPanel():Stop()
	play_field:Stop()
	if GetGameApp():IsCustomCursorVisible() then
	    GetGameApp():SetCustomCursor('CursorArrow')
	end
	
	metagamescreen.close_button =
        CreateCloseButton(Vector(787,36), "Close", metagamescreen, metagamescreen)

	metagamescreen.caption = CreateTextEntity("TimesNewRoman13", "")
	metagamescreen.caption:AttachTo(metagamescreen)
	metagamescreen.caption:SetTextAlignment(HGETEXT_LEFT)
	metagamescreen.caption:SetZ(400)
	metagamescreen.caption:SetColor('0xFF884400')
	metagamescreen.caption:SetXY(305, 94)
	metagamescreen.caption:SetBorderSize(130, 0)
	metagamescreen.caption:SetSpacing(0.8)
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnUpdate(dt)
end

function OnScreenShown()
end

function OnExit()
end

function OnMinigameCompleted()
end

function OnObjectMouseEnter(object)
	local currentProfile = GetProfileManager():GetCurrentProfile()
	if metagamescreen:HasObject('bg'..object:GetName()) and currentProfile.cigars_found[tonumber(object:GetName())] then
		metagamescreen:GetObject('bg'..object:GetName()):ChangeOpacity(0, 1, 0.3)
		local text_id = "META_GAME_TEXT_" .. object:GetName()
		metagamescreen.caption:SetText(GetString(text_id))
	end
end

function OnObjectMouseLeave(object)
	local currentProfile = GetProfileManager():GetCurrentProfile()
    if metagamescreen:HasObject('bg'..object:GetName()) and currentProfile.cigars_found[tonumber(object:GetName())] then
		metagamescreen:GetObject('bg'..object:GetName()):ChangeOpacity(1, 0, 0.3)
		metagamescreen.caption:SetText("")
	end
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end
	
    return is_wrong_click;    
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
    if title == "Close" then
        metagamescreen:ScreenDestroy()
        play_field:GetLevelScreen():GetPanel():Go()
        play_field:Go()
        
        if game_state.is_tutorial_must_be_shown then
            TimerDo(play_field:GetTimer(), 1, GoToNextLevel)
        end
        
        local i, r = GetCurLevelId(play_field:GetName())
        if not r then
            r = GetMetaObjectLevelId(play_field:GetName())
            if GetProfileManager():GetCurrentProfile().cigars_found[r] then
                panel.cigarBoxButton:Stop()
                panel.menu_button:Stop()
                CloseNotebook()
            end
        end
    end
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end


function OnLostFocus()
end

function OnGainFocus()
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/01.png',0,0,125,19,1,0)
	anim:SetHotSpot(62,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('1',anim,351,405,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/02.png',0,0,129,18,1,0)
	anim:SetHotSpot(64,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2',anim,349,424,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/03.png',0,0,131,23,1,0)
	anim:SetHotSpot(65,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('3',anim,348,443,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/04.png',0,0,110,19,1,0)
	anim:SetHotSpot(55,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('4',anim,482,408,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/05.png',0,0,107,19,1,0)
	anim:SetHotSpot(53,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('5',anim,482,425,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/06.png',0,0,119,20,1,0)
	anim:SetHotSpot(59,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('6',anim,478,446,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/07.png',0,0,20,87,1,0)
	anim:SetHotSpot(10,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('7',anim,295,530,100,-25,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/08.png',0,0,22,86,1,0)
	anim:SetHotSpot(11,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('8',anim,324,520,100,-15,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/09.png',0,0,23,74,1,0)
	anim:SetHotSpot(11,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('9',anim,357,515,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/10.png',0,0,21,83,1,0)
	anim:SetHotSpot(10,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('10',anim,388,508,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/11.png',0,0,20,90,1,0)
	anim:SetHotSpot(10,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('11',anim,416,509,100,8,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/12.png',0,0,19,86,1,0)
	anim:SetHotSpot(9,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('12',anim,446,512,100,20,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/13.png',0,0,20,93,1,0)
	anim:SetHotSpot(10,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('13',anim,479,520,100,30,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/14.png',0,0,23,88,1,0)
	anim:SetHotSpot(11,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('14',anim,509,536,100,37,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/15.png',0,0,98,25,1,0)
	anim:SetHotSpot(49,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('15',anim,535,552,100,-43,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/16.png',0,0,96,18,1,0)
	anim:SetHotSpot(48,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('16',anim,554,575,100,-30,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/17.png',0,0,99,21,1,0)
	anim:SetHotSpot(49,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('17',anim,569,598,100,-25,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/18.png',0,0,106,21,1,0)
	anim:SetHotSpot(53,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('18',anim,580,627,100,-10,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/19.png',0,0,105,25,1,0)
	anim:SetHotSpot(52,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('19',anim,581,658,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/20.png',0,0,26,102,1,0)
	anim:SetHotSpot(13,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('20',anim,308,619,100,-28,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/21.png',0,0,21,90,1,0)
	anim:SetHotSpot(10,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('21',anim,337,611,100,-15,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/22.png',0,0,23,93,1,0)
	anim:SetHotSpot(11,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('22',anim,364,601,100,-8,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/23.png',0,0,16,85,1,0)
	anim:SetHotSpot(8,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('23',anim,391,602,100,5,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/24.png',0,0,18,97,1,0)
	anim:SetHotSpot(9,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('24',anim,414,599,100,15,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/25.png',0,0,20,98,1,0)
	anim:SetHotSpot(10,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('25',anim,440,608,100,27,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/26.png',0,0,79,21,1,0)
	anim:SetHotSpot(39,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('26',anim,477,636,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/27.png',0,0,107,21,1,0)
	anim:SetHotSpot(53,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('27',anim,474,659,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/28.png',0,0,119,20,1,0)
	anim:SetHotSpot(59,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('28',anim,674,418,100,-4,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/29.png',0,0,118,20,1,0)
	anim:SetHotSpot(59,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('29',anim,651,447,100,-10,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/30.png',0,0,106,21,1,0)
	anim:SetHotSpot(53,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('30',anim,657,477,100,-26,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/31.png',0,0,116,22,1,0)
	anim:SetHotSpot(58,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('31',anim,656,515,100,-40,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/32.png',0,0,23,116,1,0)
	anim:SetHotSpot(11,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('32',anim,678,547,100,30,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/33.png',0,0,25,138,1,0)
	anim:SetHotSpot(12,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('33',anim,710,579,100,11,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/34.png',0,0,24,138,1,0)
	anim:SetHotSpot(12,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('34',anim,751,595,100,-6,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/35.png',0,0,25,189,1,0)
	anim:SetHotSpot(12,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('35',anim,767,495,100,-8,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/36.png',0,0,72,18,1,0)
	anim:SetHotSpot(36,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('36',anim,379,658,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/fignja.png',0,0,47,85,1,0)
	anim:SetHotSpot(23,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fignja',anim,567,443,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg1.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg1',anim,53,195,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg2.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg2',anim,53,195,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg3.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg3',anim,53,195,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg4.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg4',anim,53,195,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg5.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg5',anim,53,195,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg6.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg6',anim,53,195,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg7.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg7',anim,53,195,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg8.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg8',anim,1036,268,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg9.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg9',anim,1018,236,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg10.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg10',anim,1046,230,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg11.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg11',anim,1060,225,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg12.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg12',anim,1079,244,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg13.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg13',anim,1040,217,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg14.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg14',anim,1149,210,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg15.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg15',anim,1175,292,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg16.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg16',anim,1102,240,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg17.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg17',anim,1158,243,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg18.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg18',anim,1090,225,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg19.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg19',anim,1061,215,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg20.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg20',anim,1099,219,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg21.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg21',anim,1190,252,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg22.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg22',anim,1071,232,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg23.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg23',anim,1052,239,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg24.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg24',anim,1140,203,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg25.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg25',anim,1119,265,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg26.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg26',anim,1061,252,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg27.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg27',anim,1168,292,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg28.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg28',anim,1210,310,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg29.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg29',anim,1131,268,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg30.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg30',anim,1175,248,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg31.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg31',anim,1200,260,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg32.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg32',anim,1182,303,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg33.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg33',anim,1133,245,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg34.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg34',anim,1205,255,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg35.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg35',anim,1109,222,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/BG/bg36.jpg',0,0,420,315,1,0)
	anim:SetHotSpot(210,157)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg36',anim,1146,243,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x88FFFFFF')
	screen:CreateObject('bg',anim,512,356,0,0,128,96)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/back.png',0,0,542,334,1,0)
	anim:SetHotSpot(271,167)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('back',anim,530,192,41,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/elementy/ug01.png',0,0,98,99,1,0)
	anim:SetHotSpot(49,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ug01',anim,310,76,200,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/elementy/ug02.png',0,0,100,99,1,0)
	anim:SetHotSpot(50,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ug02',anim,748,74,200,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/elementy/ug03.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ug03',anim,744,309,200,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/elementy/ug04.png',0,0,99,101,1,0)
	anim:SetHotSpot(49,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ug04',anim,319,307,200,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/MetaGame/korobka_back_full.png',0,0,800,800,1,0)
	anim:SetHotSpot(400,400)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('korobka_back_full',anim,546,339,10,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
